%define prel	rc2
%define rel	3

%define major	0
%define libname	%mklibname qucsator %{major}
%define devname	%mklibname qucsator -d

Name:		qucs
Summary:	Quite Universal Circuit Simulator
Version:	0.0.20
Release:	%mkrel %{?prel:0.%prel.}%{rel}
License:	GPLv2+
Group:		Sciences/Other
URL:		https://qucs.sourceforge.net/
Source0:	https://download.sourceforge.net/qucs/qucs-%{version}%{?prel:-%prel}.tar.gz
Patch1:		qucs-drop-RPATH.patch
Patch2:		qucs-0.0.19-latex-fix.patch
BuildRequires:	adms
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	qt4-devel
BuildRequires:	gperf
Requires:	freehdl
Requires:	freehdl-devel
Requires:	iverilog
Requires:	libtool
Requires:	asco
Requires:	adms

%description
Qucs is a circuit simulator with graphical user interface.  The
software aims to support all kinds of circuit simulation types,
e.g. DC, AC, S-parameter and harmonic balance analysis.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries

%description -n %{libname}
This package contains the shared libraries for %{name}.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

# make autoreconf happy after P1
for d in $(dirname $(find */ -name "configure.ac"));do
  ln -s $(pwd)/VERSION $d/VERSION
done

for i in $(find . -name PLATFORMS); do
  echo "%{_host}" >> $i
done

%build
autoreconf -fi
%configure \
	--disable-asco \
	--disable-doc
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc NEWS* README* CONTRIBUTING*
%{_bindir}/qucs*
%{_bindir}/ps2sp
%{_mandir}/man?/qucs*
%{_mandir}/man?/ps2sp*
%{_datadir}/applications/qucs.desktop
%{_datadir}/qucs/
%{_datadir}/qucsator/
%{_iconsdir}/hicolor/*/apps/qucs.*

%files -n %{libname}
%{_libdir}/libqucsator.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/qucsator/
%{_libdir}/libqucsator.so


%changelog
* Sun Dec 04 2022 wally <wally> 0.0.20-0.rc2.3.mga9
+ Revision: 1917800
- drop RPATH
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Dec 26 2020 wally <wally> 0.0.20-0.rc2.1.mga8
+ Revision: 1663797
- new version 0.0.20 rc2

* Fri Feb 14 2020 umeabot <umeabot> 0.0.18-7.mga8
+ Revision: 1516255
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.0.18-6.mga7
+ Revision: 1300750
- Mageia 7 Mass Rebuild

* Sat Feb 27 2016 luigiwalser <luigiwalser> 0.0.18-5.mga6
+ Revision: 979769
- add patch to fix build with grep 2.23
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Nov 13 2014 wally <wally> 0.0.18-4.mga5
+ Revision: 796745
- remove nonexistent xpm icon

* Wed Oct 15 2014 umeabot <umeabot> 0.0.18-3.mga5
+ Revision: 740711
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.0.18-2.mga5
+ Revision: 688579
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 wally <wally> 0.0.18-1.mga5
+ Revision: 671581
- new version 0.0.18
- drop unneeded patches
- add lib and devel pkgs

* Fri May 09 2014 wally <wally> 0.0.17-3.mga5
+ Revision: 621615
- require freehdl-devel and libtool

* Sun Mar 02 2014 wally <wally> 0.0.17-2.mga5
+ Revision: 598539
- add patch to use system asco
- use %%make in %%build section

* Sun Mar 02 2014 wally <wally> 0.0.17-1.mga5
+ Revision: 598527
- imported package qucs

